Topics

Is there anything in the whats new about errors from add ons?

Brian's Mail list account
 

I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

Michael Curran
 

I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick

On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:
I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

Brian's Mail list account
 

Snipped first bit of log then.
INFO - core.main (09:28:14.200):
NVDA version 2019.2beta2
INFO - core.main (09:28:14.200):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:28:14.200):
Using Python version 2.7.16 (v2.7.16:413a49145e, Mar 4 2019, 01:30:55) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:28:14.200):
Using comtypes version 1.1.7
INFO - core.main (09:28:14.200):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:28:14.200):
Initializing add-ons system

snipped all the boring stuff that works then..
from the middle of add on checking...
DEBUG - addonHandler.Addon.addToPackagePath (09:28:14.842):
Addon textnav added to globalPlugins package path
DEBUG - addonHandler.Addon.addToPackagePath (09:28:14.842):
Addon toolbarsExplorer added to globalPlugins package path
DEBUG - addonHandler.Addon.addToPackagePath (09:28:14.842):
Addon virtualRevision added to globalPlugins package path
DEBUGWARNING - Python warning (09:28:15.092):
C:\nvdaclean\userConfig\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30: DeprecationWarning: integer argument expected, got float
ERROR - globalPluginHandler.listPlugins (09:28:15.091):
Error importing global plugin audioThemes
Traceback (most recent call last):
File "globalPluginHandler.pyo", line 22, in listPlugins
File "C:\nvdaclean\userConfig\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py", line 23, in <module>
File "C:\nvdaclean\userConfig\addons\AudioThemes3D\globalPlugins\audioThemes\dialogs\manage_dg.py", line 17, in <module>
ImportError: cannot import name VoiceSettingsSlider
DEBUG - core.main (09:28:15.109):
Initializing core pump
DEBUG - core.main (09:28:15.109):
Initializing watchdog
DEBUG - core.main (09:28:15.111):
initializing updateCheck
INFO - core.main (09:28:15.111):
NVDA initialized
DEBUG - core.main (09:28:15.111):
entering wx application main loop

As far as I'm aware I'm using the same version, as here is only one, on all my versions and its working on the current stable but nothing else.
It still has deprication warnings but these are just warnings and the sounds still appear to work.
Brian


bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Michael Curran" <mick@...>
To: <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:
I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

Brian's Mail list account
 

The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018, 16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30: DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62: DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70: DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know something of this.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Michael Curran" <mick@...>
To: <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:
I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

Michael Curran
 

Thanks for the info.

I have filed https://github.com/nvaccess/nvda/issues/9824


Mick

On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:
The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018, 16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30: DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62: DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70: DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know something of this.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran" <mick@...>
To: <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:
I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users



 

I filed https://github.com/nvaccess/nvda/pull/9826


Still, the NVDA log is full of warnings when Audio Themes is used. I think that Audio Themes should no longer be listed at the NVDA add-ons website as a stable add-on until proper maintenance has taken place. It uses lots of deprecated functionality from wx as well


Regards,

Leonard

Op 27-6-2019 om 02:23 schreef Michael Curran:

Thanks for the info.

I have filed https://github.com/nvaccess/nvda/issues/9824


Mick


On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:
The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018, 16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30: DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62: DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70: DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know something of this.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran" <mick@...>
To: <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:
I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users












Brian's Mail list account
 

I know what you mean but in this case its not just a warning and seeing as its an error it could affect other things. Its not actually anything to do with the warnings though, it seems to be a problem with some import that used to work but now does not.
I believe Joseph has had some info from the author saying that his life is a bit hectic and he cannot do much with it at the moment. I think a warning on the web site should be enough. I find this add on very handy to help me understand the screen layout as well as alert me to things in sound rather than via speech as the control allows switching of things like that.

Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Leonard de Ruijter" <@leonardder>
To: <nvda-devel@groups.io>
Sent: Thursday, June 27, 2019 6:14 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


I filed https://github.com/nvaccess/nvda/pull/9826


Still, the NVDA log is full of warnings when Audio Themes is used. I
think that Audio Themes should no longer be listed at the NVDA add-ons
website as a stable add-on until proper maintenance has taken place. It
uses lots of deprecated functionality from wx as well


Regards,

Leonard

Op 27-6-2019 om 02:23 schreef Michael Curran:
Thanks for the info.

I have filed https://github.com/nvaccess/nvda/issues/9824


Mick


On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:
The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018,
16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30:
DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62:
DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70:
DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know
something of this.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran" <mick@...>
To: <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about
errors from add ons?


I was unaware that there were any breaking changes for add-ons in
2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:
I only ask as these betas for the next release give errors on the
3D sound add on I'm running and it won't work, where the previous
version of nvda stable still has it working. I'd imagine there
might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users






 

Hi,

I’ll talk to the add-ons community about this, although it should be noted that someone is working on updating the add-on code.

Cheers,

Joseph

 

From: nvda-devel@groups.io <nvda-devel@groups.io> On Behalf Of Leonard de Ruijter
Sent: Wednesday, June 26, 2019 10:14 PM
To: nvda-devel@groups.io
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?

 

I filed https://github.com/nvaccess/nvda/pull/9826

 

Still, the NVDA log is full of warnings when Audio Themes is used. I think that Audio Themes should no longer be listed at the NVDA add-ons website as a stable add-on until proper maintenance has taken place. It uses lots of deprecated functionality from wx as well

 

Regards,

Leonard

Op 27-6-2019 om 02:23 schreef Michael Curran:

Thanks for the info.

I have filed https://github.com/nvaccess/nvda/issues/9824


Mick


On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:

The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018, 16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30: DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62: DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70: DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know something of this.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran" <mick@...>
To: <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?



I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:

I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users








Noelia Ruiz
 

Yes, I think that, when this person can update the add-on, it could move back to stable section of the website.
This is my opinion.
Cheers

El 27/06/2019 a las 15:24, Joseph Lee escribió:
Hi,
I’ll talk to the add-ons community about this, although it should be noted that someone is working on updating the add-on code.
Cheers,
Joseph
*From:*nvda-devel@groups.io <nvda-devel@groups.io> *On Behalf Of *Leonard de Ruijter
*Sent:* Wednesday, June 26, 2019 10:14 PM
*To:* nvda-devel@groups.io
*Subject:* Re: [nvda-devel] Is there anything in the whats new about errors from add ons?
I filed https://github.com/nvaccess/nvda/pull/9826
Still, the NVDA log is full of warnings when Audio Themes is used. I think that Audio Themes should no longer be listed at the NVDA add-ons website as a stable add-on until proper maintenance has taken place. It uses lots of deprecated functionality from wx as well
Regards,
Leonard
Op 27-6-2019 om 02:23 schreef Michael Curran:
Thanks for the info.
I have filed https://github.com/nvaccess/nvda/issues/9824
Mick
On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:
The stable version looks like this.
It seems some process has gone away or been renamed perhaps?
snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018,
16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system
snip
But this time just a warning.
DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30:
DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62:
DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70:
DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop
Hope these two messages clarify this. I think Joseph may know
something of this.
Brian
bglists@... <mailto:bglists@...>
Sent via blueyonder.
Please address personal E-mail to:-
briang1@... <mailto:briang1@...>,
putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran"
<mick@...> <mailto:mick@...>
To: <nvda-devel@groups.io> <mailto:nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new
about errors from add ons?
I was unaware that there were any breaking changes for
add-ons in 2019.2. This was not deliberate.
Could you please provide an example error from your log?
Thanks
Mick
On 6/25/2019 6:23 PM, Brian's Mail list account via
Groups.Io wrote:
I only ask as these betas for the next release give
errors on the 3D sound add on I'm running and it won't
work, where the previous version of nvda stable still
has it working. I'd imagine there might be others like
this too.
Brian
bglists@... <mailto:bglists@...>
Sent via blueyonder.
Please address personal E-mail to:-
briang1@...
<mailto:briang1@...>, putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

Brian's Mail list account
 

I was trying not to lumber you with the issue!


Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Joseph Lee" <@joslee>
To: <nvda-devel@groups.io>
Sent: Thursday, June 27, 2019 2:24 PM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


Hi,

I’ll talk to the add-ons community about this, although it should be noted that someone is working on updating the add-on code.

Cheers,

Joseph



From: nvda-devel@groups.io <nvda-devel@groups.io> On Behalf Of Leonard de Ruijter
Sent: Wednesday, June 26, 2019 10:14 PM
To: nvda-devel@groups.io
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?



I filed https://github.com/nvaccess/nvda/pull/9826



Still, the NVDA log is full of warnings when Audio Themes is used. I think that Audio Themes should no longer be listed at the NVDA add-ons website as a stable add-on until proper maintenance has taken place. It uses lots of deprecated functionality from wx as well



Regards,

Leonard

Op 27-6-2019 om 02:23 schreef Michael Curran:

Thanks for the info.

I have filed https://github.com/nvaccess/nvda/issues/9824


Mick


On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:



The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018, 16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30: DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62: DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70: DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know something of this.
Brian

bglists@... <mailto:bglists@...>
Sent via blueyonder.
Please address personal E-mail to:-
briang1@... <mailto:briang1@...> , putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran" <mailto:mick@...> <mick@...>
To: <mailto:nvda-devel@groups.io> <nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?





I was unaware that there were any breaking changes for add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via Groups.Io wrote:



I only ask as these betas for the next release give errors on the 3D sound add on I'm running and it won't work, where the previous version of nvda stable still has it working. I'd imagine there might be others like this too.
Brian

bglists@... <mailto:bglists@...>
Sent via blueyonder.
Please address personal E-mail to:-
briang1@... <mailto:briang1@...> , putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

Brian's Mail list account
 

I think that after we go python 3 and sound refactoring there will need to be some research done and some manifest updates of add ons that are not actively being developed, but until then it would be best I think to avoid breaking add ons accidentally.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Noelia Ruiz" <nrm1977@...>
To: <nvda-devel@groups.io>
Sent: Thursday, June 27, 2019 4:59 PM
Subject: Re: [nvda-devel] Is there anything in the whats new about errors from add ons?


Yes, I think that, when this person can update the add-on, it could move back to stable section of the website.
This is my opinion.
Cheers

El 27/06/2019 a las 15:24, Joseph Lee escribió:
Hi,

I’ll talk to the add-ons community about this, although it should be noted that someone is working on updating the add-on code.

Cheers,

Joseph

*From:*nvda-devel@groups.io <nvda-devel@groups.io> *On Behalf Of *Leonard de Ruijter
*Sent:* Wednesday, June 26, 2019 10:14 PM
*To:* nvda-devel@groups.io
*Subject:* Re: [nvda-devel] Is there anything in the whats new about errors from add ons?

I filed https://github.com/nvaccess/nvda/pull/9826

Still, the NVDA log is full of warnings when Audio Themes is used. I think that Audio Themes should no longer be listed at the NVDA add-ons website as a stable add-on until proper maintenance has taken place. It uses lots of deprecated functionality from wx as well

Regards,

Leonard

Op 27-6-2019 om 02:23 schreef Michael Curran:

Thanks for the info.

I have filed https://github.com/nvaccess/nvda/issues/9824


Mick


On 6/26/2019 7:03 PM, Brian's Mail list account via Groups.Io wrote:

The stable version looks like this.
It seems some process has gone away or been renamed perhaps?

snip
INFO - core.main (09:54:30.305):
NVDA version 2019.1.1
INFO - core.main (09:54:30.305):
Using Windows version 6.1.7601 service pack 1 workstation
INFO - core.main (09:54:30.305):
Using Python version 2.7.15 (v2.7.15:ca079a3ea3, Apr 30 2018,
16:22:17) [MSC v.1500 32 bit (Intel)]
INFO - core.main (09:54:30.305):
Using comtypes version 1.1.3
INFO - core.main (09:54:30.305):
Using configobj version 5.1.0 with validate version 1.0.1
DEBUG - core.main (09:54:30.305):
Initializing add-ons system

snip
But this time just a warning.

DEBUGWARNING - Python warning (09:54:30.901):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\backend\unspoken\mixer.py:30:
DeprecationWarning: integer argument expected, got float
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:62:
DeprecationWarning: NewId() is deprecated
DEBUGWARNING - Python warning (09:54:30.908):
C:\Users\Brian\AppData\Roaming\nvda\addons\AudioThemes3D\globalPlugins\audioThemes\__init__.py:70:
DeprecationWarning: NewId() is deprecated
DEBUG - core.main (09:54:31.030):
Initializing core pump
DEBUG - core.main (09:54:31.032):
Initializing watchdog
DEBUG - core.main (09:54:31.032):
initializing updateCheck
INFO - core.main (09:54:31.032):
NVDA initialized
DEBUG - core.main (09:54:31.032):
entering wx application main loop



Hope these two messages clarify this. I think Joseph may know
something of this.
Brian

bglists@... <mailto:bglists@...>
Sent via blueyonder.
Please address personal E-mail to:-
briang1@... <mailto:briang1@...>,
putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message ----- From: "Michael Curran"
<mick@...> <mailto:mick@...>
To: <nvda-devel@groups.io> <mailto:nvda-devel@groups.io>
Sent: Tuesday, June 25, 2019 11:24 AM
Subject: Re: [nvda-devel] Is there anything in the whats new
about errors from add ons?



I was unaware that there were any breaking changes for
add-ons in 2019.2. This was not deliberate.


Could you please provide an example error from your log?


Thanks

Mick


On 6/25/2019 6:23 PM, Brian's Mail list account via
Groups.Io wrote:

I only ask as these betas for the next release give
errors on the 3D sound add on I'm running and it won't
work, where the previous version of nvda stable still
has it working. I'd imagine there might be others like
this too.
Brian

bglists@... <mailto:bglists@...>
Sent via blueyonder.
Please address personal E-mail to:-
briang1@...
<mailto:briang1@...>, putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users